## putty 0.67

=== macosx/Makefile ===
# Makefile for putty under Mac OS X.
#
# This file was created by `mkfiles.pl' from the `Recipe' file.
# DO NOT EDIT THIS FILE DIRECTLY; edit Recipe or mkfiles.pl instead.
#
# Extra options you can set:
#
#  - COMPAT=-DAUTO_WINSOCK (Windows only)
#      Causes PuTTY to assume that <windows.h> includes its own WinSock
#      header file, so that it won't try to include <winsock.h>.
#
#  - COMPAT=-DWINSOCK_TWO (Windows only)
#      Causes the PuTTY utilities to include <winsock2.h> instead of
#      <winsock.h>, except Plink which _needs_ WinSock 2 so it already
#      does this.
#
#  - COMPAT=-DNO_SECURITY (Windows only)
#      Disables Pageant's use of <aclapi.h>, which is not available
#      with some development environments (such as older versions of
#      the Cygwin/mingw GNU toolchain). This means that Pageant
#      won't care about the local user ID of processes accessing it; a
#      version of Pageant built with this option will therefore refuse
#      to run under NT-series OSes on security grounds (although it
#      will run fine on Win95-series OSes where there is no access
#      control anyway).
#
#  - COMPAT=-DNO_MULTIMON (Windows only)
#      Disables PuTTY's use of <multimon.h>, which is not available
#      with some development environments. This means that PuTTY's
#      full-screen mode (configurable to work on Alt-Enter) will
#      not behave usefully in a multi-monitor environment.
#
#      Note that this definition is always enabled in the Cygwin
#      build, since at the time of writing this <multimon.h> is
#      known not to be available in Cygwin.
#
#  - COMPAT=-DNO_HTMLHELP (Windows only)
#      Disables PuTTY's use of <htmlhelp.h>, which is not available
#      with some development environments. The resulting binary
#      will only look for an old-style WinHelp file (.HLP/.CNT), and
#      will ignore any .CHM file.
#
#      Note that this definition is always enabled in the Cygwin
#      build, since at the time of writing this <htmlhelp.h> is
#      known not to be available in Cygwin (although you can use
#      the htmlhelp.h supplied with HTML Help Workshop).
#
#  - RCFL=-DNO_MANIFESTS (Windows only)
#      Disables inclusion of XML application manifests in the PuTTY
#      binaries. This may be necessary to build for 64-bit Windows;
#      the manifests are only included to use the XP GUI style on
#      Windows XP, and the architecture tags are a lie on 64-bit.
#
#  - COMPAT=-DNO_IPV6
#      Disables PuTTY's ability to make IPv6 connections, enabling
#      it to compile under development environments which do not
#      support IPv6 in their header files.
#
#  - COMPAT=-DNO_GSSAPI
#      Disables PuTTY's ability to use GSSAPI functions for
#      authentication and key exchange.
#
#  - COMPAT=-DSTATIC_GSSAPI
#      Causes PuTTY to try to link statically against the GSSAPI
#      library instead of the default of doing it at run time.
#
#  - COMPAT=-DMSVC4 (Windows only)
#  - RCFL=-DMSVC4
#      Makes a couple of minor changes so that PuTTY compiles using
#      MSVC 4. You will also need -DNO_SECURITY and -DNO_MULTIMON.
#
#  - COMPAT=-DNO_SECUREZEROMEMORY (Windows only)
#      Disables PuTTY's use of SecureZeroMemory(), which is missing
#      from some environments' header files.  This is enabled by
#      default in the Cygwin Makefile.
#
#  - XFLAGS=-DTELNET_DEFAULT
#      Causes PuTTY to default to the Telnet protocol (in the absence
#      of Default Settings and so on to the contrary). Normally PuTTY
#      will default to SSH.
#
#  - XFLAGS=-DDEBUG
#      Causes PuTTY to enable internal debugging.
#
#  - XFLAGS=-DUNPROTECT
#      Disable tightened ACL on PuTTY process so that e.g. debuggers
#      can attach to it.
#
#  - XFLAGS=-DMALLOC_LOG
#      Causes PuTTY to emit a file called putty_mem.log, logging every
#      memory allocation and free, so you can track memory leaks.
#
#  - XFLAGS=-DMINEFIELD (Windows only)
#      Causes PuTTY to use a custom memory allocator, similar in
#      concept to Electric Fence, in place of regular malloc(). Wastes
#      huge amounts of RAM, but should cause heap-corruption bugs to
#      show up as GPFs at the point of failure rather than appearing
#      later on as second-level damage.
#
CC = $(TOOLPATH)gcc

CFLAGS = -O2 -Wall -Werror -g -I.././ -I../charset/ -I../windows/ -I../unix/ \
		-I../macosx/
MLDFLAGS = -framework Cocoa
ULDFLAGS =

CFLAGS += -DMACOSX

all: PuTTY plink pscp psftp puttygen
PuTTY.app:
	mkdir -p $@
PuTTY.app/Contents: PuTTY.app
	mkdir -p $@
PuTTY.app/Contents/MacOS: PuTTY.app/Contents
	mkdir -p $@
PuTTY.app/Contents/Resources: PuTTY.app/Contents
	mkdir -p $@
PuTTY.app/Contents/Resources/PuTTY.icns: PuTTY.app/Contents/Resources putty.icns
	cp putty.icns $@
PuTTY.app/Contents/Info.plist: PuTTY.app/Contents/Resources info.plist
	cp info.plist $@
PuTTY: PuTTY.app/Contents/MacOS/PuTTY \
		PuTTY.app/Contents/Resources/PuTTY.icns \
		PuTTY.app/Contents/Info.plist $(PuTTY_extra)

PuTTY.app/Contents/MacOS/PuTTY: PuTTY.app/Contents/MacOS be_all_s.o \
		callback.o conf.o config.o cproxy.o dialog.o fromucs.o \
		ldisc.o ldiscucs.o localenc.o logging.o macenc.o mimeenc.o \
		minibidi.o misc.o miscucs.o osxctrls.o osxdlg.o osxmain.o \
		osxsel.o osxwin.o pgssapi.o pinger.o portfwd.o proxy.o raw.o \
		rlogin.o sbcs.o sbcsdat.o sercfg.o settings.o slookup.o \
		ssh.o sshaes.o ssharcf.o sshblowf.o sshbn.o sshcrc.o \
		sshcrcda.o sshdes.o sshdh.o sshdss.o sshgssc.o sshmd5.o \
		sshpubk.o sshrand.o sshrsa.o sshsh256.o sshsh512.o sshsha.o \
		sshshare.o sshzlib.o telnet.o terminal.o testback.o time.o \
		timing.o toucs.o tree234.o utf8.o ux_x11.o uxagentc.o \
		uxcfg.o uxgss.o uxmisc.o uxnet.o uxnoise.o uxpeer.o \
		uxprint.o uxproxy.o uxpty.o uxsel.o uxser.o uxshare.o \
		uxsignal.o uxstore.o uxucs.o version.o wcwidth.o wildcard.o \
		x11fwd.o xenc.o
	$(CC) $(MLDFLAGS) -o $@ be_all_s.o callback.o conf.o config.o \
		cproxy.o dialog.o fromucs.o ldisc.o ldiscucs.o localenc.o \
		logging.o macenc.o mimeenc.o minibidi.o misc.o miscucs.o \
		osxctrls.o osxdlg.o osxmain.o osxsel.o osxwin.o pgssapi.o \
		pinger.o portfwd.o proxy.o raw.o rlogin.o sbcs.o sbcsdat.o \
		sercfg.o settings.o slookup.o ssh.o sshaes.o ssharcf.o \
		sshblowf.o sshbn.o sshcrc.o sshcrcda.o sshdes.o sshdh.o \
		sshdss.o sshgssc.o sshmd5.o sshpubk.o sshrand.o sshrsa.o \
		sshsh256.o sshsh512.o sshsha.o sshshare.o sshzlib.o telnet.o \
		terminal.o testback.o time.o timing.o toucs.o tree234.o \
		utf8.o ux_x11.o uxagentc.o uxcfg.o uxgss.o uxmisc.o uxnet.o \
		uxnoise.o uxpeer.o uxprint.o uxproxy.o uxpty.o uxsel.o \
		uxser.o uxshare.o uxsignal.o uxstore.o uxucs.o version.o \
		wcwidth.o wildcard.o x11fwd.o xenc.o 

plink: be_all_s.o callback.o cmdline.o conf.o cproxy.o ldisc.o logging.o \
		misc.o noterm.o pgssapi.o pinger.o portfwd.o proxy.o raw.o \
		rlogin.o settings.o ssh.o sshaes.o ssharcf.o sshblowf.o \
		sshbn.o sshcrc.o sshcrcda.o sshdes.o sshdh.o sshdss.o \
		sshgssc.o sshmd5.o sshpubk.o sshrand.o sshrsa.o sshsh256.o \
		sshsh512.o sshsha.o sshshare.o sshzlib.o telnet.o time.o \
		timing.o tree234.o ux_x11.o uxagentc.o uxcons.o uxgss.o \
		uxmisc.o uxnet.o uxnoise.o uxpeer.o uxplink.o uxproxy.o \
		uxsel.o uxser.o uxshare.o uxsignal.o uxstore.o version.o \
		wildcard.o x11fwd.o
	$(CC) $(ULDFLAGS) -o $@ be_all_s.o callback.o cmdline.o conf.o \
		cproxy.o ldisc.o logging.o misc.o noterm.o pgssapi.o \
		pinger.o portfwd.o proxy.o raw.o rlogin.o settings.o ssh.o \
		sshaes.o ssharcf.o sshblowf.o sshbn.o sshcrc.o sshcrcda.o \
		sshdes.o sshdh.o sshdss.o sshgssc.o sshmd5.o sshpubk.o \
		sshrand.o sshrsa.o sshsh256.o sshsh512.o sshsha.o sshshare.o \
		sshzlib.o telnet.o time.o timing.o tree234.o ux_x11.o \
		uxagentc.o uxcons.o uxgss.o uxmisc.o uxnet.o uxnoise.o \
		uxpeer.o uxplink.o uxproxy.o uxsel.o uxser.o uxshare.o \
		uxsignal.o uxstore.o version.o wildcard.o x11fwd.o 

pscp: be_ssh.o callback.o cmdline.o conf.o cproxy.o int64.o logging.o misc.o \
		pgssapi.o pinger.o portfwd.o proxy.o pscp.o settings.o \
		sftp.o ssh.o sshaes.o ssharcf.o sshblowf.o sshbn.o sshcrc.o \
		sshcrcda.o sshdes.o sshdh.o sshdss.o sshgssc.o sshmd5.o \
		sshpubk.o sshrand.o sshrsa.o sshsh256.o sshsh512.o sshsha.o \
		sshshare.o sshzlib.o time.o timing.o tree234.o uxagentc.o \
		uxcons.o uxgss.o uxmisc.o uxnet.o uxnoise.o uxpeer.o \
		uxproxy.o uxsel.o uxsftp.o uxshare.o uxstore.o version.o \
		wildcard.o x11fwd.o
	$(CC) $(ULDFLAGS) -o $@ be_ssh.o callback.o cmdline.o conf.o \
		cproxy.o int64.o logging.o misc.o pgssapi.o pinger.o \
		portfwd.o proxy.o pscp.o settings.o sftp.o ssh.o sshaes.o \
		ssharcf.o sshblowf.o sshbn.o sshcrc.o sshcrcda.o sshdes.o \
		sshdh.o sshdss.o sshgssc.o sshmd5.o sshpubk.o sshrand.o \
		sshrsa.o sshsh256.o sshsh512.o sshsha.o sshshare.o sshzlib.o \
		time.o timing.o tree234.o uxagentc.o uxcons.o uxgss.o \
		uxmisc.o uxnet.o uxnoise.o uxpeer.o uxproxy.o uxsel.o \
		uxsftp.o uxshare.o uxstore.o version.o wildcard.o x11fwd.o 

psftp: be_ssh.o callback.o cmdline.o conf.o cproxy.o int64.o logging.o \
		misc.o pgssapi.o pinger.o portfwd.o proxy.o psftp.o \
		settings.o sftp.o ssh.o sshaes.o ssharcf.o sshblowf.o \
		sshbn.o sshcrc.o sshcrcda.o sshdes.o sshdh.o sshdss.o \
		sshgssc.o sshmd5.o sshpubk.o sshrand.o sshrsa.o sshsh256.o \
		sshsh512.o sshsha.o sshshare.o sshzlib.o time.o timing.o \
		tree234.o uxagentc.o uxcons.o uxgss.o uxmisc.o uxnet.o \
		uxnoise.o uxpeer.o uxproxy.o uxsel.o uxsftp.o uxshare.o \
		uxstore.o version.o wildcard.o x11fwd.o
	$(CC) $(ULDFLAGS) -o $@ be_ssh.o callback.o cmdline.o conf.o \
		cproxy.o int64.o logging.o misc.o pgssapi.o pinger.o \
		portfwd.o proxy.o psftp.o settings.o sftp.o ssh.o sshaes.o \
		ssharcf.o sshblowf.o sshbn.o sshcrc.o sshcrcda.o sshdes.o \
		sshdh.o sshdss.o sshgssc.o sshmd5.o sshpubk.o sshrand.o \
		sshrsa.o sshsh256.o sshsh512.o sshsha.o sshshare.o sshzlib.o \
		time.o timing.o tree234.o uxagentc.o uxcons.o uxgss.o \
		uxmisc.o uxnet.o uxnoise.o uxpeer.o uxproxy.o uxsel.o \
		uxsftp.o uxshare.o uxstore.o version.o wildcard.o x11fwd.o 

puttygen: cmdgen.o conf.o import.o misc.o notiming.o sshaes.o sshbn.o \
		sshdes.o sshdss.o sshdssg.o sshmd5.o sshprime.o sshpubk.o \
		sshrand.o sshrsa.o sshrsag.o sshsh256.o sshsh512.o sshsha.o \
		time.o tree234.o uxcons.o uxgen.o uxmisc.o uxnoise.o \
		uxstore.o version.o
	$(CC) $(ULDFLAGS) -o $@ cmdgen.o conf.o import.o misc.o notiming.o \
		sshaes.o sshbn.o sshdes.o sshdss.o sshdssg.o sshmd5.o \
		sshprime.o sshpubk.o sshrand.o sshrsa.o sshrsag.o sshsh256.o \
		sshsh512.o sshsha.o time.o tree234.o uxcons.o uxgen.o \
		uxmisc.o uxnoise.o uxstore.o version.o 

be_all_s.o: ../be_all_s.c ../putty.h ../puttyps.h ../network.h ../misc.h \
		../windows/winstuff.h ../macosx/osx.h ../unix/unix.h \
		../puttymem.h ../tree234.h ../windows/winhelp.h \
		../charset/charset.h
	$(CC) $(COMPAT) $(FWHACK) $(CFLAGS) $(XFLAGS) -c $<
be_none.o: ../be_none.c ../putty.h ../puttyps.h ../network.h ../misc.h \
		../windows/winstuff.h ../macosx/osx.h ../unix/unix.h \
		../puttymem.h ../tree234.h ../windows/winhelp.h \
		../charset/charset.h
	$(CC) $(COMPAT) $(FWHACK) $(CFLAGS) $(XFLAGS) -c $<
be_nos_s.o: ../be_nos_s.c ../putty.h ../puttyps.h ../network.h ../misc.h \
		../windows/winstuff.h ../macosx/osx.h ../unix/unix.h \
		../puttymem.h ../tree234.h ../windows/winhelp.h \
		../charset/charset.h
	$(CC) $(COMPAT) $(FWHACK) $(CFLAGS) $(XFLAGS) -c $<
be_ssh.o: ../be_ssh.c ../putty.h ../puttyps.h ../network.h ../misc.h \
		../windows/winstuff.h ../macosx/osx.h ../unix/unix.h \
		../puttymem.h ../tree234.h ../windows/winhelp.h \
		../charset/charset.h
	$(CC) $(COMPAT) $(FWHACK) $(CFLAGS) $(XFLAGS) -c $<
callback.o: ../callback.c ../putty.h ../puttyps.h ../network.h ../misc.h \
		../windows/winstuff.h ../macosx/osx.h ../unix/unix.h \
		../puttymem.h ../tree234.h ../windows/winhelp.h \
		../charset/charset.h
	$(CC) $(COMPAT) $(FWHACK) $(CFLAGS) $(XFLAGS) -c $<
cmdgen.o: ../cmdgen.c ../putty.h ../ssh.h ../puttyps.h ../network.h \
