=== debian/changelog ===
putty (0.67-2) unstable; urgency=medium

  * Backport from upstream:
    - Add command-line passphrase-file options to command-line PuTTYgen.

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Mar 2016 22:32:33 +0000

putty (0.67-1) unstable; urgency=high

  * New upstream release.
    - CVE-2016-2563: Fix buffer overrun in the old-style SCP protocol
      (closes: #816921).

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Mar 2016 18:41:16 +0000

putty (0.66-4) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.
  * Fix misleading-indentation and strict-aliasing warnings from GCC 6
    (closes: #811581).

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Feb 2016 13:47:21 +0000

putty (0.66-3) unstable; urgency=medium

  * Add a Homepage field.
  * Add Keywords fields to pterm.desktop and putty.desktop.
  * Build with large file support.

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Jan 2016 15:18:57 +0000

putty (0.66-2) unstable; urgency=medium

  * Fix dh_fixperms override to work properly with an
    architecture-independent-only build (closes: #806098).
  * Do much less work in architecture-independent-only builds.
  * Fix build failure on GNU/Hurd (closes: #805505).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Nov 2015 17:10:21 +0000

putty (0.66-1) unstable; urgency=high

  * New upstream release.
    - CVE-2015-5309: Fix a potentially memory-corrupting integer overflow in
      the handling of the ECH (erase characters) control sequence in the
      terminal emulator.
  * Use dh-exec to remove the need to override dh_install.
  * Add OpenPGP signature checking configuration to watch file.

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Nov 2015 16:10:41 +0000
