=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.gpg/ \
http://the.earth.li/~sgtatham/putty/latest/putty-(.*)\.tar\.gz
