=== debian/changelog ===
putty (0.70-4) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Ignore spurious configure_area events, which caused a lot of
      flickering on GTK+ 3.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Apr 2018 00:27:48 +0100

putty (0.70-3) unstable; urgency=medium

  * Use GDK_BACKEND x11 when built with X support (thanks, Andreas
    Henriksson; closes: #861603).

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Apr 2018 02:03:31 +0100

putty (0.70-2) unstable; urgency=medium

  * Move VCS to salsa.debian.org.
  * Cherry-pick from upstream:
    - Use gdk_display_beep() in place of obsolete gdk_beep() (closes:
      #891519).

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 Mar 2018 18:20:39 +0000

putty (0.70-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 08 Jul 2017 13:19:23 +0100

putty (0.69-2) unstable; urgency=medium

  * Update Homepage and debian/copyright download URL to use HTTPS.
  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Jun 2017 12:20:31 +0100

putty (0.69-1) experimental; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 29 Apr 2017 13:14:57 +0100

putty (0.68-2) experimental; urgency=medium

  * Move pageant from putty-tools to putty, since it depends on GTK+
    (thanks, Dr. Markus Waldeck).

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Apr 2017 17:26:23 +0100

putty (0.68-1) experimental; urgency=medium

  * New upstream release.
    - Supports elliptic-curve cryptography for host keys, user
      authentication keys, and key exchange (closes: #854287).
    - Ported to GTK+ 3.
  * Use HTTPS URL in debian/watch.
  * Install Pageant, which is now ported to Unix.
  * Cherry-pick a set of upstream patches to get things working with GTK+
    3.22:
    - Handle GTK 3.22's deprecation of gdk_cairo_create().
    - Handle deprecation of gtk_menu_popup.
    - Use CSS to set window backgrounds with GTK+ 3.
    - Handle deprecation of gdk_screen_{width,height}.
    - Replace deprecated gtk_window_set_wmclass with raw Xlib.
    - Change Cairo image surface type from RGB24 to ARGB32.
  * Update download URL in debian/copyright (thanks, Dr. Markus Waldeck).

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Apr 2017 00:16:29 +0100

putty (0.67-3) unstable; urgency=high

  * CVE-2017-6542: Sanity-check message length fields in CHAN_AGENT input
    (thanks, Simon Tatham; closes: #857642).

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Mar 2017 14:42:13 +0000
