=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,6 @@
 	dh $@ --with=autoreconf --parallel
 
 ptermtmp = debian/pterm
-
-version := $(shell dpkg-parsechangelog | grep '^Version:' | \
-		   sed -e 's/.*\([0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9]\).*/\1/')
-
-# If a snapshot, supply an explicit version. Release tarballs work it out
-# for themselves.
-ifeq (,$(findstring Version,$(version)))
-verdef := VER=-DSNAPSHOT="$(version)"
-endif
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_CPPFLAGS_MAINT_APPEND := -D_FILE_OFFSET_BITS=64
@@ -29,7 +20,7 @@
 override_dh_auto_configure-indep:
 
 override_dh_auto_build-arch:
-	dh_auto_build -- $(verdef)
+	dh_auto_build
 	-$(MAKE) -C icons cicons pngs
 
 override_dh_auto_build-indep:
