## putty 0.73

=== debian/changelog ===
putty (0.73-2) unstable; urgency=medium

  * Cherry-pick from upstream:
    - gtkfont: use PANGO_PIXELS_CEIL to work out font metrics (fixes
      rendering regression at some font sizes with Pango 1.44).

 -- Colin Watson <cjwatson@debian.org>  Sun, 05 Apr 2020 12:22:42 +0100

putty (0.73-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Sep 2019 17:10:38 +0100

putty (0.72-2) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Port mkicon.py to Python 3 and drop build-dependency on python (closes:
    #937380).

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Aug 2019 21:46:04 +0100
