## putty 0.74

=== doc/Makefile ===
--- 
+++ 
@@ -44,13 +44,15 @@
 HALIBUT = halibut
 
 index.html: $(INPUTS)
-	$(HALIBUT) --text --html --winhelp --chm $(INPUTS)
+	$(HALIBUT) --text --html --chm $(INPUTS)
 
-# During formal builds it's useful to be able to build these ones alone.
+# During formal builds it's useful to be able to build this one alone.
+putty.chm: $(INPUTS)
+	$(HALIBUT) --chm $(INPUTS)
+
+# We don't ship this any more.
 putty.hlp: $(INPUTS)
 	$(HALIBUT) --winhelp $(INPUTS)
-putty.chm: $(INPUTS)
-	$(HALIBUT) --chm $(INPUTS)
 
 putty.info: $(INPUTS)
 	$(HALIBUT) --info $(INPUTS)
