=== debian/changelog ===
putty (0.74-1+deb11u2) bullseye; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick from upstream:
    - Refactor the ssh_hash vtable.
    - Add an extra HMAC constructor function.
    - Fix CVE-2024-31497: biased ECDSA nonce generation allows an attacker
      to recover a user's NIST P-521 secret key via a quick attack in
      approximately 60 signatures. In other words, an adversary
      may already have enough signature information to compromise a victim's
      private key, even if there is no further use of vulnerable PuTTY
      versions.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 16 Jul 2024 10:13:59 +0000

putty (0.74-1+deb11u1) bullseye-security; urgency=medium

  * Cherry-pick from upstream:
    - CVE-2021-36367: New option to reject 'trivial' success of userauth
      (closes: #990901).
    - New macro PTRLEN_DECL_LITERAL.
    - Extra utility function add_to_commasep_pl.
    - CVE-2023-48795: Support OpenSSH's new strict kex feature (thanks to
      Simon Tatham for backporting assistance).
    Note that this does _not_ include upstream's added UI warning for
    servers vulnerable to Terrapin, which was too difficult to backport to
    this version.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Dec 2023 17:36:21 +0000

putty (0.74-1) unstable; urgency=medium

  * New upstream release.
    - SECURITY: Key list from agent used after free if server rejects
      signature after PK_OK.
    - CVE-2020-14002: Dynamic host key policy leaks information about known
      host keys.

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Jun 2020 13:43:16 +0100

putty (0.73-3) unstable; urgency=medium

  * Cherry-pick from upstream:
    - pty_backend_create: set up SIGCHLD handler earlier (closes: #959396).

 -- Colin Watson <cjwatson@debian.org>  Fri, 08 May 2020 15:52:01 +0100
