=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	dh_autoreconf debian/rules -- autoreconf
 
 override_dh_autoreconf-indep:
+
+override_dh_auto_configure-arch:
+	dh_auto_configure -- --disable-git-commit
 
 override_dh_auto_configure-indep:
