## putty 0.75

=== debian/changelog ===
putty (0.75-3) unstable; urgency=medium

  * Cherry-pick from upstream:
    - CVE-2021-36367: New option to reject 'trivial' success of userauth
      (closes: #990901).

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Jul 2021 00:35:09 +0100

putty (0.75-2) unstable; urgency=medium

  * Add psusan to putty-tools.

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Jun 2021 15:03:48 +0100

putty (0.75-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 May 2021 11:24:32 +0100
