=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.5.9
-Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 9~), dh-autoreconf, dh-exec, pkg-config, libgtk-3-dev, x11proto-core-dev, libx11-dev, imagemagick, python, python3
+Build-Depends: dpkg-dev (>= 1.15.7~), debhelper-compat (= 9), dh-autoreconf, dh-exec, pkg-config, libgtk-3-dev, x11proto-core-dev, libx11-dev, imagemagick, python3
 Homepage: https://www.chiark.greenend.org.uk/~sgtatham/putty/
 Vcs-Git: https://salsa.debian.org/ssh-team/putty.git
 Vcs-Browser: https://salsa.debian.org/ssh-team/putty
@@ -46,7 +46,7 @@
 Suggests: putty-doc
 Multi-Arch: foreign
 Description: command-line tools for SSH, SCP, and SFTP
- This package provides four command-line tools from the PuTTY suite that
+ This package provides several command-line tools from the PuTTY suite that
  allow various kinds of secure interaction with remote systems.
  .
  Plink (PuTTY Link) connects to a remote system via SSH, Telnet, or rlogin,
@@ -65,8 +65,11 @@
  PuTTYgen generates SSH public and private key pairs in any of a number of
  formats, including those usable by PuTTY, OpenSSH, and ssh.com.
  .
- All these utilities can make use of PuTTY's saved sessions where
- appropriate.
+ psusan (pseudo-SSH for untappable, separately authenticated networks) is a
+ server program that behaves like the innermost "connection" layer of an SSH
+ session, without the two outer security layers of encryption and
+ authentication. It can be used to add SSH-like amenities to channels where
+ you were already prepared to run a bare shell session.
 
 Package: putty-doc
 Section: doc
