## putty 0.76

=== doc/Makefile ===
--- 
+++ 
@@ -35,7 +35,8 @@
 endif
 
 CHAPTERS := $(SITE) copy blurb intro gs using config pscp psftp plink
-CHAPTERS += pubkey pageant errors faq feedback licence udp pgpkeys sshnames
+CHAPTERS += pubkey pageant errors faq feedback pubkeyfmt licence udp
+CHAPTERS += pgpkeys sshnames
 CHAPTERS += index $(VERSIONIDS)
 
 INPUTS = $(patsubst %,%.but,$(CHAPTERS))
@@ -59,17 +60,19 @@
 
 MKMAN = $(HALIBUT) --man=$@ mancfg.but $<
 MANPAGES = putty.1 puttygen.1 plink.1 pscp.1 psftp.1 puttytel.1 pterm.1 \
-           pageant.1
+           pageant.1 psocks.1 psusan.1
 man: $(MANPAGES)
 
-putty.1: man-putt.but mancfg.but; $(MKMAN)
-puttygen.1: man-pg.but mancfg.but; $(MKMAN)
-plink.1: man-pl.but mancfg.but; $(MKMAN)
+putty.1: man-putty.but mancfg.but; $(MKMAN)
+puttygen.1: man-puttygen.but mancfg.but; $(MKMAN)
+plink.1: man-plink.but mancfg.but; $(MKMAN)
 pscp.1: man-pscp.but mancfg.but; $(MKMAN)
-psftp.1: man-psft.but mancfg.but; $(MKMAN)
-puttytel.1: man-ptel.but mancfg.but; $(MKMAN)
-pterm.1: man-pter.but mancfg.but; $(MKMAN)
-pageant.1: man-pag.but mancfg.but; $(MKMAN)
+psftp.1: man-psftp.but mancfg.but; $(MKMAN)
+puttytel.1: man-puttytel.but mancfg.but; $(MKMAN)
+pterm.1: man-pterm.but mancfg.but; $(MKMAN)
+pageant.1: man-pageant.but mancfg.but; $(MKMAN)
+psocks.1: man-psocks.but mancfg.but; $(MKMAN)
+psusan.1: man-psusan.but mancfg.but; $(MKMAN)
 
 mostlyclean:
 	rm -f *.html *.txt *.hlp *.cnt *.1 *.info vstr.but *.hh[pck]
