=== debian/changelog ===
putty (0.76-2) unstable; urgency=medium

  * Upgrade to debhelper v13.
  * Build documentation from source using halibut (fixes bug where man page
    patches in 0.76-1 were ineffective).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Dec 2021 00:48:30 +0000

putty (0.76-1) unstable; urgency=medium

  * New upstream release.
  * Cherry-pick from upstream:
    - psusan manpage: add a PATH to the UML example (closes: #991960).
    - Bug workaround to delay sending our SSH greeting (see #991958).

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Aug 2021 00:29:11 +0100
