=== debian/control ===
--- 
+++ 
@@ -3,7 +3,16 @@
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.5.9
-Build-Depends: dpkg-dev (>= 1.15.7~), debhelper-compat (= 9), dh-autoreconf, dh-exec, pkg-config, libgtk-3-dev, x11proto-core-dev, libx11-dev, imagemagick, python3
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
+               dpkg-dev (>= 1.15.7~),
+               halibut,
+               imagemagick,
+               libgtk-3-dev,
+               libx11-dev,
+               pkg-config,
+               python3,
+               x11proto-core-dev,
 Homepage: https://www.chiark.greenend.org.uk/~sgtatham/putty/
 Vcs-Git: https://salsa.debian.org/ssh-team/putty.git
 Vcs-Browser: https://salsa.debian.org/ssh-team/putty
@@ -12,9 +21,10 @@
 Package: pterm
 Section: x11
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: putty-doc
-Provides: x-terminal-emulator
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Suggests: putty-doc,
+Provides: x-terminal-emulator,
 Multi-Arch: foreign
 Description: PuTTY terminal emulator
  This is an X terminal emulator based on the popular Windows SSH client,
@@ -26,10 +36,12 @@
 
 Package: putty
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, putty-tools
-Suggests: putty-doc
-Breaks: putty-tools (<< 0.68-2~)
-Replaces: putty-tools (<< 0.68-2~)
+Depends: putty-tools,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Suggests: putty-doc,
+Breaks: putty-tools (<< 0.68-2~),
+Replaces: putty-tools (<< 0.68-2~),
 Multi-Arch: foreign
 Description: Telnet/SSH client for X
  This is the Unix port of the popular Windows SSH client, PuTTY. It supports
@@ -42,8 +54,9 @@
 
 Package: putty-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: putty-doc
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Suggests: putty-doc,
 Multi-Arch: foreign
 Description: command-line tools for SSH, SCP, and SFTP
  This package provides several command-line tools from the PuTTY suite that
@@ -74,7 +87,7 @@
 Package: putty-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Multi-Arch: foreign
 Description: PuTTY HTML documentation
  Full HTML documentation for the PuTTY suite of programs (PuTTY, pterm,
