=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #! /usr/bin/make -f
 %:
-	dh $@ --with=autoreconf --parallel
+	dh $@
 
 ptermtmp = debian/pterm
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_CPPFLAGS_MAINT_APPEND := -D_FILE_OFFSET_BITS=64
+
+include /usr/share/dpkg/default.mk
 
 autoreconf:
 	./mkfiles.pl
@@ -24,6 +26,8 @@
 
 override_dh_auto_build-arch:
 	dh_auto_build
+	$(MAKE) -C doc clean all \
+		VERSION='$(DEB_VENDOR) PuTTY release $(DEB_VERSION)'
 	-$(MAKE) -C icons cicons pngs
 
 override_dh_auto_build-indep:
@@ -34,6 +38,10 @@
 	dh_auto_clean
 	$(MAKE) -C icons clean
 
+override_dh_installdocs:
+	dh_installdocs -Nputty-doc
+	dh_installdocs -pputty-doc --doc-main-package=putty-doc
+
 override_dh_compress:
 	dh_compress -X.py
