## putty 0.77

=== debian/changelog ===
putty (0.77-1) unstable; urgency=medium

  * Use dh_installalternatives.
  * Simplify some debhelper overrides slightly.
  * Update upstream release signing keys (see
    https://www.chiark.greenend.org.uk/~sgtatham/putty/keys.html).
  * New upstream release.
  * Rework packaging somewhat to handle upstream's switch to CMake.

 -- Colin Watson <cjwatson@debian.org>  Tue, 31 May 2022 10:28:05 +0100
