=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.5.9
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake,
+               debhelper (>= 13.1),
+               debhelper-compat (= 13),
                dh-exec,
                dpkg-dev (>= 1.15.7~),
-               halibut,
-               imagemagick,
-               libgtk-3-dev,
-               libx11-dev,
-               pkg-config,
-               python3,
-               x11proto-core-dev,
+Build-Depends-Arch: imagemagick,
+                    libgtk-3-dev,
+                    libx11-dev,
+                    pkg-config,
+                    python3,
+                    x11proto-core-dev,
+Build-Depends-Indep: halibut,
 Homepage: https://www.chiark.greenend.org.uk/~sgtatham/putty/
 Vcs-Git: https://salsa.debian.org/ssh-team/putty.git
 Vcs-Browser: https://salsa.debian.org/ssh-team/putty
